function ActualizarModelos(varargin)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Function: ActualizarModelos
%Autor: Daniel lvarez-Campana
%Entradas:
%         Argumento1 = Handle de la interfaz principal
%         Argumento2 = Handle de la lista de componentes
%         Argumento3 = Handle de la lista de modelos
%Salidas: None
%Comentarios: Funcin gestionar la seleccin de un modelo concreto
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Lectura de argumentos de entrada
IHM_main = varargin{1};
hlistaComponentes = varargin{2};
hlistaModelos = varargin{3};
%% Recuperacin de datos internos
datosPrograma = getappdata(IHM_main,'datosPrograma');
correspondencias = datosPrograma(7);
correspondencias = correspondencias{1,1};
%% Seleccin de componente
% Leemos el componente seleccionado
ComponenteSeleccionado = hlistaComponentes.String(hlistaComponentes.Value);
Index_componenteSeleccionado = find(contains(correspondencias(:,1), ComponenteSeleccionado));
element = 1;
% Busqueda de todos los modelos asociados a ese componente
for x=1:size(Index_componenteSeleccionado)
    if strcmp(correspondencias(Index_componenteSeleccionado(x),1),ComponenteSeleccionado)
        modelosasociados(element) = correspondencias(Index_componenteSeleccionado(x),2);
        element = element+1;
    end
end
% Guardado de la seleccin efectuada    
for x=1:size(modelosasociados,2)
    Index_componenteSeleccionado = find(contains(correspondencias(:,2), modelosasociados(x)));
    if correspondencias(Index_componenteSeleccionado,4) == '1'
        modeloseleccionado = x;
    end
end
%% Refrescar las listas de componentes y modelos
set(hlistaModelos,'String',modelosasociados);
set(hlistaModelos,'Value',modeloseleccionado);
%% Guardado de datos internos
setappdata(IHM_main,'datosPrograma',datosPrograma);

end