function AddComponent(varargin)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Function: AddComponent
%Autor: Daniel lvarez-Campana
%Entradas:
%         Argumento1 = Handle de la interfaz principal
%         Argumento2 = Ruta de carga
%         Argumento3 = Handle de la lista de componentes
%Salidas: None
%Comentarios: Funcin para aadir un nuevo componente a la librera
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Lectura de argumentos de entrada
IHM_main = varargin{1};
rutaCarga = varargin{2};
listaComponentes = varargin{3};
%% Ventana para insertar los datos
prompt = {'Aadir nombre modelo MicroSim:','Aadir nombre modelo KiCad:'};
dlgtitle = 'Aadir Componente Nuevo a Biblioteca';
dims = [1 50];
nombres = inputdlg(prompt,dlgtitle,dims);
%% Escritura del nuevo componente en la librera
if ~isempty(nombres)
    if ~isempty(cell2mat(nombres(1))) && ~isempty(cell2mat(nombres(2)))
        %Obtener ruta de correspondencia a partir de la libreria
        libCorresp = '_Libs\Correspondencias.txt';
        rutaLlamada = which('Converter_MicroSim2KiCad_IHM_Main.m');
        delimiter = find (rutaLlamada=='\');
        rutaCorresp = [rutaLlamada(1:delimiter(end-1)) libCorresp];

        %Apertura de correspondencia
        [fileCorrespond,errmsg] = fopen(rutaCorresp,'a');

        %Gestion de error de apertura
        if fileCorrespond < 1
            msgbox(errmsg)
            return
        end
    
        %Escritura nuevo componente
        fprintf(fileCorrespond, '\n%s %s 0', cell2mat(nombres(1)), cell2mat(nombres(2)));
    
        %Cerramos archivo
        fclose('all');
    else
        warndlg('Intntelo de nuevo, asegurandose de escribir ambos nombres','Warning');
    end       
end

end