function Rotacion(varargin)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Function: Rotacion
%Autor: Daniel lvarez-Campana
%Entradas:
%         Argumento1 = Handle de la interfaz principal
%         Argumento2 = Handle de la lista de modelos
%         Argumento3 = Angulo a modificar
%Salidas: None
%Comentarios: Funcin para rotar el componente seleccionado
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% Lectura de argumentos de entrada
IHM_main = varargin{1};
ComponenteAfectado = varargin{2};
AnguloModificado = cell2mat(varargin{3});
%% Desglose de los datos almacenados
datosPrograma = getappdata(IHM_main,'datosPrograma');
nombre_componente = datosPrograma(5);
nombre_componente = nombre_componente{1,1};
datos_componente = datosPrograma(6);
datos_componente = datos_componente{1,1};
%% Modificacin del angulo del componente
% Buscar el componente a modificar
Index_comp = find(contains(nombre_componente(:,1), ComponenteAfectado));
% Cambiar el angulo
for x=1:size(Index_comp,1)
    datos_componente(Index_comp(x),3) = datos_componente(Index_comp(x),3) + str2double(AnguloModificado(1:end-1));
end
% Mensaje de finalizacin
msgbox('Rotacin aplicada');
% Guardado de datos modificados
datosPrograma(6) = {datos_componente};
setappdata(IHM_main,'datosPrograma',datosPrograma);
end