function RotacionPermanente(varargin)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Function: RotacionPermanente
%Autor: Daniel lvarez-Campana
%Entradas:
%         Argumento1 = Handle de la interfaz principal
%         Argumento2 = Handle de la lista de modelos
%         Argumento3 = Angulo a modificar
%Salidas: None
%Comentarios: Funcin para modificar el angulo de un componente de manera
%          permanente
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% Lectura de argumentos de entrada
IHM_main = varargin{1};
hlistModelos = varargin{2};
AnguloModificado = char(varargin{3});

%% Carga de fichero de correspondencias
%Obtener ruta de correspondencia a partir de la libreria
libCorresp = '_Libs\Correspondencias.txt';
rutaLlamada = which('Converter_MicroSim2KiCad_IHM_Main.m');
delimiter = find (rutaLlamada=='\');
rutaCorresp = [rutaLlamada(1:delimiter(end-1)) libCorresp];

%Apertura de correspondencia
[fileCorrespond,errmsg] = fopen(rutaCorresp,'r');

%Gestion de error de apertura
if fileCorrespond < 1
    msgbox(errmsg)
    return
end

%Lectura de contenido y cierre de fichero
textContMicroSM=textscan(fileCorrespond, '%s', 'Delimiter', '\n');
fclose('all');

%Gestion de datos obtenidos del fichero de correspondencia
textContMicroSM=textContMicroSM{1,1};

%% Busqueda del Modelo a modificar
if size(hlistModelos.String,1) == 1
    ModeloAfectado = hlistModelos.String;
else
    ModeloAfectado = hlistModelos.String(hlistModelos.Value);
end
Index_modelo = find(contains(textContMicroSM,ModeloAfectado));

%% Reescritura del fichero de correspondencias
% Cambio del angulo del modelo
lineaafectada = char(textContMicroSM(Index_modelo));
espacios = isspace(lineaafectada);
indexultimoespacio = find(isspace(lineaafectada) == 1,1, 'last');
anguloantiguo = str2double(lineaafectada(indexultimoespacio:end));
angulonuevo = mod(anguloantiguo + str2double(AnguloModificado(1:end-1)),360);

% Reescritura de la linea modificada
lineamodificada = strcat(string(lineaafectada(1:indexultimoespacio)), ' ', string(angulonuevo));
textContMicroSM(Index_modelo) ={lineamodificada};
    
% Abrimos de nuevo el archivo, escribimos y cerramos
[fileCorrespond,errmsg] = fopen(rutaCorresp,'w+');

if fileCorrespond < 1
    msgbox(errmsg)
    return
end
fprintf(fileCorrespond,'%s\n',textContMicroSM{:});
% Cerramos el archivo
fclose('all');
% Mensaje de finalizacin
msgbox('Rotacin guardada en la biblioteca');

end