function SeleccionModelos(varargin)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Function: SeleccionModelos
%Autor: Daniel lvarez-Campana
%Entradas:
%         Argumento1 = Handle de interfaz principal
%         Argumento2 = Handle de la lista de componentes
%         Argumento2 = Handle de la lista de modelos
%Salidas: None
%Comentarios: Funcin para seleccionar el modelo para el componente
%          seleccionado
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% Lectura de argumentos de entrada
IHM_main = varargin{1};
hlistaComponentes = varargin{2};
hlistaModelos = varargin{3};

%% Lectura de datos almacenados
datosPrograma = getappdata(IHM_main,'datosPrograma');
correspondencias = datosPrograma(7);
correspondencias = correspondencias{1,1};

%% Seleccin del modelo
Index_comp = find(contains(correspondencias(:,1),hlistaComponentes.String(hlistaComponentes.Value)));
for x=1:size(Index_comp,1)
    if strcmp(hlistaModelos.String(hlistaModelos.Value),correspondencias(Index_comp(x),2))
        correspondencias(Index_comp(x),4)=1;
    else
        correspondencias(Index_comp(x),4)=0;
    end       
end

%% Guardar cambios
datosPrograma(7)={correspondencias};
setappdata(IHM_main,'datosPrograma',datosPrograma);
end