function SelectFile(varargin)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Function: SelectFile
%Autor: Daniel lvarez-Campana
%Entradas:
%         Argumento1 = Handle de caja de ruta
%         Argumento2 = Handle de Boton Cargar Fichero
%         Argumento3 = Opcin Carga/Guardado
%         Argumento4 = Ruta de carga
%Salidas: None
%Comentarios: Funcin para seleccionar el fichero que se desea cargar en el
%          programa
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% Lectura de argumentos de entrada
tFile = varargin{1};
bLoadFile = varargin{2};
tipoOpcion = varargin{3};
tipoTexto = varargin{4};

%% Ruta por defecto
userProfile = getenv('USERPROFILE');
currentPath = get(tFile,'String');
if isempty(currentPath)
    %Ruta por defecto
    userPath = pwd;
else
    %Ruta anterior
    [userPath,~,~]= fileparts (currentPath);
end

%% Seleccin de Archivo/Ruta de Carga/Ruta de Guardado
if strcmp(tipoOpcion,'Load')
    [filename, filepath]= uigetfile('.pca',tipoTexto,userPath);
else
    rutaSave = varargin{5};
    delimiter = find (rutaSave=='\');
    rutaSave = rutaSave(1:delimiter(end));
    [filename, filepath]= uiputfile('.kicad_pcb',tipoTexto,rutaSave);
end
if ~isnumeric(filename)
    fullPath = fullfile(filepath,filename);
    set(tFile,'String',fullPath)
else
    %No modificar nada
end
validPath = get(tFile,'String');

%% Habilitar botn de carga
if ~isempty(validPath)
    set(bLoadFile,'Enable','On');
else
    set(bLoadFile,'Enable','Off');
end
end