function cambioLang(varargin)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Function:
%Autor: Daniel lvarez-Campana
%Entradas: 
%         Argumento1 = Handle de la interfaz principal
%         Argumento2 = Handle del botn castellano
%         Argumento3 = Handle del botn ingls
%         Argumento4 = Idioma
%Salidas: None
%Comentarios: Funcin para seleccionar el idioma de la interfaz
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Lectura de argumentos de entrada
IHM_main = varargin{1};
ESPFlag = varargin{2};
ENGFlag =varargin{3};
lang= varargin{4};

%% Activar botones correspondientes
if strcmp(lang, 'ESP')
    set(ESPFlag,'State', 'On');
    set(ENGFlag,'State' , 'Off');
else
    set(ENGFlag,'State' ,'On');
    set(ESPFlag,'State' , 'Off');
end

%% Traducimos todos los textos de la aplicacin
%buscamos todos los paneles
handlePanels = findall(IHM_main,'Type','uipanel');
%Buscamos todos los uicontrol
handleText = findall(IHM_main,'Type','uicontrol');
%Buscamos todos los uimenu
handleMenu = findall(IHM_main,'Type','uimenu');
% Traduccin
for ii=1:size(handlePanels,1)
    currentPanel = handlePanels(ii);
    currentTitle = get(currentPanel,'Title');
    
    if ~isempty(currentTitle) 
        newWord = dicLang(currentTitle,ESPFlag.State,ENGFlag.State);
        set(currentPanel,'Title',newWord)
    end
end

for ii=1:size(handleText,1)
    currentText = handleText(ii);
    currentString = get(currentText,'String');
    if strcmp(currentText.Style, 'popupmenu')==0 && strcmp(currentText.Style, 'listbox')==0
        if ~isempty(currentString)
            newWord = dicLang(currentString,ESPFlag.State,ENGFlag.State);
            set(currentText,'String',newWord)
        end
    end
end
for ii=1:size(handleMenu,1)
    currentmenu = handleMenu(ii);
    currentString = get(currentmenu,'Label');
    if ~isempty(currentString)
            newWord = dicLang(currentString,ESPFlag.State,ENGFlag.State);
            set(currentmenu,'Label',newWord)
    end
end
end

