function wordLang = dicLang(varargin)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Function:
%Autor: Daniel lvarez-Campana
%Entradas: 
%         Argumento1 = Texto a traducir
%         Argumento2 = Castellano
%         Argumento3 = Ingls
%Salidas: None
%Comentarios: Traductor de textos de la interfaz
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Lectura de variables de entrada
word = varargin{1};
LangESP = varargin{2};
LangENG = varargin{3};

%% Determinar que idioma est seleccionado
if strcmp(upper(LangESP),'ON')
    indexLang = 2;
elseif strcmp(upper(LangENG),'ON')
    indexLang = 3;
else
    indexLang = 2;
end
%% Diccionario
structDic = {...
    '@ajustes','Ajustes','Settings','';...
    '@userguide','Gua de Usuario','User guide','';...
    '@help','Ayuda','Help','';...
    '@addcomponent','Aadir Componente a Libera','Add Component to Library','';...
    '@openlibraryfolder','Abrir ruta de librera','Open library folder','';...
    '@panelFileSelection','Seleccin de Fichero','File Selection','';...
    '@buttonFileSelection','Seleccionar fichero','Select File','';...
    '@buttonLoadFile','Cargar fichero seleccionado','Load selected file','';...
    '@panelConfig','Configuracin','Settings','';...
    '@textComponents','Componentes','Components','';...
    '@textModels','Modelos disponibles','Available models','';...
    '@textRotation','Rotacin','Rotation','';...
    '@buttonAplicarRotacion', 'Aplicar','Confirm','';...
    '@buttonAplicarRotacionLibreria', 'Aplicar en librera', 'Apply to library','';... 
    '@panelFileSaving','Guardado de fichero','File Saving','';...
    '@buttonFileSaving','Guardar fichero','Save file','';...
    '@buttonSelectSaving','Seleccionar ruta y nombre','Select path and filename','';...
    '@optionLoad','Por favor, selecciona el archivo a convertir...','Please, select the file to covert...','';...
    '@optionSave','Por favor, selecciona la ruta y el nombre del fichero...','Please, select the path and the filename...','';...
    '@nobordesplaca','No se han encontrado los bordes de la placa, por favor revise su archivo','The loaded file has no board outline, please check it again','';...
    '@ArchivoGuardado','Operacin Completada', 'Operation Completed','';...
    '@','','','';...
    };

%% Bsqueda de palabras y traduccin
if strcmp(word(1),'@')
    ind=strcmp(word,structDic(:,1));
    ind = find(ind == 1);
else
    ind1=strcmp(word,structDic(:,2));
    ind2=strcmp(word,structDic(:,3));
    ind1 = find(ind1 == 1);
    ind2 = find(ind2 == 1);
    if ~isempty(ind1)
        ind=ind1;
    elseif ~isempty(ind2)
        ind=ind2;
    else
        ind=[];
    end
end

if ~isempty(ind)
    wordLang = structDic{ind(1),indexLang};
else
    wordLang = word;
end
end

